//
//  Store.h
//  Demine
//
//  Created by Michael Heyeck on 4/30/10.
//  Copyright 2010 Fair Oaks Labs, Inc.. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <StoreKit/StoreKit.h>
#import "Reachability.h"


@interface Store : UIViewController <UITableViewDataSource, UITableViewDelegate, SKProductsRequestDelegate, SKPaymentTransactionObserver, UIAlertViewDelegate>
{
	NSInteger			mode;
	BOOL				reloadRequested;

	Reachability*		reachability;
	SKRequest*			request;
	NSArray*			products;
	NSNumberFormatter*	priceFormatter;
	
	UITableView*		tableView;
	UIView*				loadingView;
	UILabel*			loadingLabel;
}

@property (nonatomic, retain) IBOutlet UITableView* tableView;
@property (nonatomic, retain) IBOutlet UIView* loadingView;
@property (nonatomic, retain) IBOutlet UILabel* loadingLabel;

@end
